# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/RPC/Legacy/Client.pm) perl(Moo.pm) perl(Scalar/Util.pm)
# END SourceDeps(oneline)
%define module_name Finance-Bitcoin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.902
Release: alt1
Summary: manage a bitcoin instance
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Finance-Bitcoin

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Bitcoin is a peer-to-peer network based digital currency.

This module provides high and low level APIs for managing a running
bitcoin instance over JSON-RPC.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE TODO CREDITS COPYRIGHT CONTRIBUTING examples
%perl_vendor_privlib/F*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.902-alt1
- initial import by package builder

